install/base/config/crd/bases/camel.apache.org_integrationprofiles.yaml [1199:1854]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                        items:
                          type: string
                        type: array
                      password:
                        description: The password used for authentication, applicable
                          when the `user` option is set.
                        type: string
                      port:
                        description: The Jolokia endpoint port (default `8778`).
                        format: int32
                        type: integer
                      protocol:
                        description: The protocol to use, either `http` or `https`
                          (default `https` for OpenShift)
                        type: string
                      useSSLClientAuthentication:
                        description: Whether client certificates should be used for
                          authentication (default `true` for OpenShift).
                        type: boolean
                      user:
                        description: The user to be used for authentication
                        type: string
                    type: object
                  jvm:
                    description: The configuration of JVM trait
                    properties:
                      classpath:
                        description: Additional JVM classpath (use `Linux` classpath
                          separator)
                        type: string
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      debug:
                        description: Activates remote debugging, so that a debugger
                          can be attached to the JVM, e.g., using port-forwarding
                        type: boolean
                      debugAddress:
                        description: Transport address at which to listen for the
                          newly launched JVM (default `*:5005`)
                        type: string
                      debugSuspend:
                        description: Suspends the target JVM immediately before the
                          main class is loaded
                        type: boolean
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      jar:
                        description: The Jar dependency which will run the application.
                          Leave it empty for managed Integrations.
                        type: string
                      options:
                        description: A list of JVM options
                        items:
                          type: string
                        type: array
                      printCommand:
                        description: |-
                          Prints the command used the start the JVM in the container logs (default `true`)
                          Deprecated: no longer in use.
                        type: boolean
                    type: object
                  kamelets:
                    description: The configuration of Kamelets trait
                    properties:
                      auto:
                        description: Automatically inject all referenced Kamelets
                          and their default configuration (enabled by default)
                        type: boolean
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      list:
                        description: Comma separated list of Kamelet names to load
                          into the current integration
                        type: string
                      mountPoint:
                        description: The directory where the application mounts and
                          reads Kamelet spec (default `/etc/camel/kamelets`)
                        type: string
                    type: object
                  keda:
                    description: 'Deprecated: for backward compatibility.'
                    properties:
                      configuration:
                        description: TraitConfiguration parameters configuration
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                    required:
                    - configuration
                    type: object
                  knative:
                    description: The configuration of Knative trait
                    properties:
                      auto:
                        description: Enable automatic discovery of all trait properties.
                        type: boolean
                      channelSinks:
                        description: |-
                          List of channels used as destination of integration routes.
                          Can contain simple channel names or full Camel URIs.
                        items:
                          type: string
                        type: array
                      channelSources:
                        description: |-
                          List of channels used as source of integration routes.
                          Can contain simple channel names or full Camel URIs.
                        items:
                          type: string
                        type: array
                      config:
                        description: Can be used to inject a Knative complete configuration
                          in JSON format.
                        type: string
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      endpointSinks:
                        description: |-
                          List of endpoints used as destination of integration routes.
                          Can contain simple endpoint names or full Camel URIs.
                        items:
                          type: string
                        type: array
                      endpointSources:
                        description: List of channels used as source of integration
                          routes.
                        items:
                          type: string
                        type: array
                      eventSinks:
                        description: |-
                          List of event types that the integration will produce.
                          Can contain simple event types or full Camel URIs (to use a specific broker).
                        items:
                          type: string
                        type: array
                      eventSources:
                        description: |-
                          List of event types that the integration will be subscribed to.
                          Can contain simple event types or full Camel URIs (to use a specific broker different from "default").
                        items:
                          type: string
                        type: array
                      filterEventType:
                        description: |-
                          Enables the default filtering for the Knative trigger using the event type
                          If this is true, the created Knative trigger uses the event type as a filter on the event stream when no other filter criteria is given. (default: true)
                        type: boolean
                      filterSourceChannels:
                        description: |-
                          Enables filtering on events based on the header "ce-knativehistory". Since this header has been removed in newer versions of
                          Knative, filtering is disabled by default.
                        type: boolean
                      filters:
                        description: |-
                          Sets filter attributes on the event stream (such as event type, source, subject and so on).
                          A list of key-value pairs that represent filter attributes and its values.
                          The syntax is KEY=VALUE, e.g., `source="my.source"`.
                          Filter attributes get set on the Knative trigger that is being created as part of this integration.
                        items:
                          type: string
                        type: array
                      namespaceLabel:
                        description: |-
                          Enables the camel-k-operator to set the "bindings.knative.dev/include=true" label to the namespace
                          As Knative requires this label to perform injection of K_SINK URL into the service.
                          If this is false, the integration pod may start and fail, read the SinkBinding Knative documentation. (default: true)
                        type: boolean
                      sinkBinding:
                        description: |-
                          Allows binding the integration to a sink via a Knative SinkBinding resource.
                          This can be used when the integration targets a single sink.
                          It's enabled by default when the integration targets a single sink
                          (except when the integration is owned by a Knative source).
                        type: boolean
                    type: object
                  knative-service:
                    description: The configuration of Knative Service trait
                    properties:
                      annotations:
                        additionalProperties:
                          type: string
                        description: |-
                          The annotations added to route.
                          This can be used to set knative service specific annotations
                          CLI usage example: -t "knative-service.annotations.'haproxy.router.openshift.io/balance'=true"
                        type: object
                      auto:
                        description: |-
                          Automatically deploy the integration as Knative service when all conditions hold:

                          * Integration is using the Knative profile
                          * All routes are either starting from an HTTP based consumer or a passive consumer (e.g. `direct` is a passive consumer)
                        type: boolean
                      autoscalingMetric:
                        description: |-
                          Configures the Knative autoscaling metric property (e.g. to set `concurrency` based or `cpu` based autoscaling).

                          Refer to the Knative documentation for more information.
                        type: string
                      autoscalingTarget:
                        description: |-
                          Sets the allowed concurrency level or CPU percentage (depending on the autoscaling metric) for each Pod.

                          Refer to the Knative documentation for more information.
                        type: integer
                      class:
                        description: |-
                          Configures the Knative autoscaling class property (e.g. to set `hpa.autoscaling.knative.dev` or `kpa.autoscaling.knative.dev` autoscaling).

                          Refer to the Knative documentation for more information.
                        enum:
                        - kpa.autoscaling.knative.dev
                        - hpa.autoscaling.knative.dev
                        type: string
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      maxScale:
                        description: |-
                          An upper bound for the number of Pods that can be running in parallel for the integration.
                          Knative has its own cap value that depends on the installation.

                          Refer to the Knative documentation for more information.
                        type: integer
                      minScale:
                        description: |-
                          The minimum number of Pods that should be running at any time for the integration. It's **zero** by default, meaning that
                          the integration is scaled down to zero when not used for a configured amount of time.

                          Refer to the Knative documentation for more information.
                        type: integer
                      rolloutDuration:
                        description: |-
                          Enables to gradually shift traffic to the latest Revision and sets the rollout duration.
                          It's disabled by default and must be expressed as a Golang `time.Duration` string representation,
                          rounded to a second precision.
                        type: string
                      timeoutSeconds:
                        description: |-
                          The maximum duration in seconds that the request instance is allowed to respond to a request.
                          This field propagates to the integration pod's terminationGracePeriodSeconds

                          Refer to the Knative documentation for more information.
                        format: int64
                        type: integer
                      visibility:
                        description: |-
                          Setting `cluster-local`, Knative service becomes a private service.
                          Specifically, this option applies the `networking.knative.dev/visibility` label to Knative service.

                          Refer to the Knative documentation for more information.
                        enum:
                        - cluster-local
                        type: string
                    type: object
                  logging:
                    description: The configuration of Logging trait
                    properties:
                      color:
                        description: Colorize the log output
                        type: boolean
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      format:
                        description: Logs message format
                        type: string
                      json:
                        description: Output the logs in JSON
                        type: boolean
                      jsonPrettyPrint:
                        description: Enable "pretty printing" of the JSON logs
                        type: boolean
                      level:
                        description: Adjust the logging level (defaults to `INFO`)
                        enum:
                        - FATAL
                        - WARN
                        - INFO
                        - DEBUG
                        - TRACE
                        type: string
                    type: object
                  master:
                    description: The configuration of Master trait
                    properties:
                      auto:
                        description: Enables automatic configuration of the trait.
                        type: boolean
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      includeDelegateDependencies:
                        description: |-
                          When this flag is active, the operator analyzes the source code to add dependencies required by delegate endpoints.
                          E.g. when using `master:lockname:timer`, then `camel:timer` is automatically added to the set of dependencies.
                          It's enabled by default.
                        type: boolean
                      labelKey:
                        description: Label that will be used to identify all pods
                          contending the lock. Defaults to "camel.apache.org/integration".
                        type: string
                      labelValue:
                        description: Label value that will be used to identify all
                          pods contending the lock. Defaults to the integration name.
                        type: string
                      resourceName:
                        description: |-
                          Name of the configmap that will be used to store the lock. Defaults to "<integration-name>-lock".
                          Name of the configmap/lease resource that will be used to store the lock. Defaults to "<integration-name>-lock".
                        type: string
                      resourceType:
                        description: Type of Kubernetes resource to use for locking
                          ("ConfigMap" or "Lease"). Defaults to "Lease".
                        type: string
                    type: object
                  mount:
                    description: The configuration of Mount trait
                    properties:
                      configs:
                        description: |-
                          A list of configuration pointing to configmap/secret.
                          The configuration are expected to be UTF-8 resources as they are processed by runtime Camel Context and tried to be parsed as property files.
                          They are also made available on the classpath in order to ease their usage directly from the Route.
                          Syntax: [configmap|secret]:name[/key], where name represents the resource name and key optionally represents the resource key to be filtered
                        items:
                          type: string
                        type: array
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      emptyDirs:
                        description: |-
                          A list of EmptyDir volumes to be mounted. An optional size limit may be configured (default 500Mi).
                          Syntax: name:/container/path[:sizeLimit]
                        items:
                          type: string
                        type: array
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      hotReload:
                        description: |-
                          Enable "hot reload" when a secret/configmap mounted is edited (default `false`). The configmap/secret must be
                          marked with `camel.apache.org/integration` label to be taken in account. The resource will be watched for any kind change, also for
                          changes in metadata.
                        type: boolean
                      resources:
                        description: |-
                          A list of resources (text or binary content) pointing to configmap/secret.
                          The resources are expected to be any resource type (text or binary content).
                          The destination path can be either a default location or any path specified by the user.
                          Syntax: [configmap|secret]:name[/key][@path], where name represents the resource name, key optionally represents the resource key to be filtered and path represents the destination path
                        items:
                          type: string
                        type: array
                      scanKameletsImplicitLabelSecrets:
                        description: 'Deprecated: no longer available since version
                          2.5.'
                        type: boolean
                      volumes:
                        description: |-
                          A list of Persistent Volume Claims to be mounted. Syntax: [pvcname:/container/path]. If the PVC is not found, the Integration fails.
                          You can use the syntax [pvcname:/container/path:size:accessMode<:storageClass>] to create a dynamic PVC based on the Storage Class provided
                          or the default cluster Storage Class. However, if the PVC exists, the operator would mount it.
                        items:
                          type: string
                        type: array
                    type: object
                  openapi:
                    description: The configuration of OpenAPI trait
                    properties:
                      configmaps:
                        description: The configmaps holding the spec of the OpenAPI
                          (compatible with > 3.0 spec only).
                        items:
                          type: string
                        type: array
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                    type: object
                  owner:
                    description: The configuration of Owner trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      targetAnnotations:
                        description: The set of annotations to be transferred
                        items:
                          type: string
                        type: array
                      targetLabels:
                        description: The set of labels to be transferred
                        items:
                          type: string
                        type: array
                    type: object
                  pdb:
                    description: The configuration of PDB trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      maxUnavailable:
                        description: |-
                          The number of pods for the Integration that can be unavailable after an eviction.
                          It can be either an absolute number or a percentage (default `1` if `min-available` is also not set).
                          Only one of `max-unavailable` and `min-available` can be specified.
                        type: string
                      minAvailable:
                        description: |-
                          The number of pods for the Integration that must still be available after an eviction.
                          It can be either an absolute number or a percentage.
                          Only one of `min-available` and `max-unavailable` can be specified.
                        type: string
                    type: object
                  platform:
                    description: The configuration of Platform trait
                    properties:
                      auto:
                        description: |-
                          To automatically detect from the environment if a default platform can be created (it will be created on OpenShift or when a registry address is set).
                          Deprecated: Platform is auto generated by the operator install procedure - maintained for backward compatibility
                        type: boolean
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      createDefault:
                        description: |-
                          To create a default (empty) platform when the platform is missing.
                          Deprecated: Platform is auto generated by the operator install procedure - maintained for backward compatibility
                        type: boolean
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      global:
                        description: |-
                          Indicates if the platform should be created globally in the case of global operator (default true).
                          Deprecated: Platform is auto generated by the operator install procedure - maintained for backward compatibility
                        type: boolean
                    type: object
                  pod:
                    description: The configuration of Pod trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                    type: object
                  prometheus:
                    description: The configuration of Prometheus trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      podMonitor:
                        description: Whether a `PodMonitor` resource is created (default
                          `true`).
                        type: boolean
                      podMonitorLabels:
                        description: The `PodMonitor` resource labels, applicable
                          when `pod-monitor` is `true`.
                        items:
                          type: string
                        type: array
                    type: object
                  pull-secret:
                    description: The configuration of Pull Secret trait
                    properties:
                      auto:
                        description: Automatically configures the platform registry
                          secret on the pod if it is of type `kubernetes.io/dockerconfigjson`.
                        type: boolean
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      imagePullerDelegation:
                        description: When using a global operator with a shared platform,
                          this enables delegation of the `system:image-puller` cluster
                          role on the operator namespace to the integration service
                          account.
                        type: boolean
                      secretName:
                        description: The pull secret name to set on the Pod. If left
                          empty this is automatically taken from the `IntegrationPlatform`
                          registry configuration.
                        type: string
                    type: object
                  quarkus:
                    description: The configuration of Quarkus trait
                    properties:
                      buildMode:
                        description: |-
                          The Quarkus mode to run: either `jvm` or `native` (default `jvm`).
                          In case both `jvm` and `native` are specified, two `IntegrationKit` resources are created,
                          with the `native` kit having precedence over the `jvm` one once ready.
                        items:
                          description: QuarkusMode is the type of Quarkus build packaging.
                          enum:
                          - jvm
                          - native
                          type: string
                        type: array
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      nativeBaseImage:
                        description: The base image to use when running a native build
                          (default `quay.io/quarkus/quarkus-micro-image:2.0`)
                        type: string
                      nativeBuilderImage:
                        description: The image containing the tooling required for
                          a native build (by default it will use the one provided
                          in the runtime catalog)
                        type: string
                      packageTypes:
                        description: |-
                          The Quarkus package types, `fast-jar` or `native` (default `fast-jar`).
                          In case both `fast-jar` and `native` are specified, two `IntegrationKit` resources are created,
                          with the native kit having precedence over the `fast-jar` one once ready.
                          The order influences the resolution of the current kit for the integration.
                          The kit corresponding to the first package type will be assigned to the
                          integration in case no existing kit that matches the integration exists.
                          Deprecated: use `build-mode` instead.
                        items:
                          description: |-
                            QuarkusPackageType is the type of Quarkus build packaging.
                            Deprecated: use `QuarkusMode` instead.
                          enum:
                          - fast-jar
                          - native
                          type: string
                        type: array
                    type: object
                  registry:
                    description: |-
                      The configuration of Registry trait (support removed since version 2.5.0).
                      Deprecated: use jvm trait or read documentation.
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                    type: object
                  route:
                    description: The configuration of Route trait
                    properties:
                      annotations:
                        additionalProperties:
                          type: string
                        description: |-
                          The annotations added to route.
                          This can be used to set route specific annotations
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



pkg/resources/config/crd/bases/camel.apache.org_integrationplatforms.yaml [1331:1986]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                        items:
                          type: string
                        type: array
                      password:
                        description: The password used for authentication, applicable
                          when the `user` option is set.
                        type: string
                      port:
                        description: The Jolokia endpoint port (default `8778`).
                        format: int32
                        type: integer
                      protocol:
                        description: The protocol to use, either `http` or `https`
                          (default `https` for OpenShift)
                        type: string
                      useSSLClientAuthentication:
                        description: Whether client certificates should be used for
                          authentication (default `true` for OpenShift).
                        type: boolean
                      user:
                        description: The user to be used for authentication
                        type: string
                    type: object
                  jvm:
                    description: The configuration of JVM trait
                    properties:
                      classpath:
                        description: Additional JVM classpath (use `Linux` classpath
                          separator)
                        type: string
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      debug:
                        description: Activates remote debugging, so that a debugger
                          can be attached to the JVM, e.g., using port-forwarding
                        type: boolean
                      debugAddress:
                        description: Transport address at which to listen for the
                          newly launched JVM (default `*:5005`)
                        type: string
                      debugSuspend:
                        description: Suspends the target JVM immediately before the
                          main class is loaded
                        type: boolean
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      jar:
                        description: The Jar dependency which will run the application.
                          Leave it empty for managed Integrations.
                        type: string
                      options:
                        description: A list of JVM options
                        items:
                          type: string
                        type: array
                      printCommand:
                        description: |-
                          Prints the command used the start the JVM in the container logs (default `true`)
                          Deprecated: no longer in use.
                        type: boolean
                    type: object
                  kamelets:
                    description: The configuration of Kamelets trait
                    properties:
                      auto:
                        description: Automatically inject all referenced Kamelets
                          and their default configuration (enabled by default)
                        type: boolean
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      list:
                        description: Comma separated list of Kamelet names to load
                          into the current integration
                        type: string
                      mountPoint:
                        description: The directory where the application mounts and
                          reads Kamelet spec (default `/etc/camel/kamelets`)
                        type: string
                    type: object
                  keda:
                    description: 'Deprecated: for backward compatibility.'
                    properties:
                      configuration:
                        description: TraitConfiguration parameters configuration
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                    required:
                    - configuration
                    type: object
                  knative:
                    description: The configuration of Knative trait
                    properties:
                      auto:
                        description: Enable automatic discovery of all trait properties.
                        type: boolean
                      channelSinks:
                        description: |-
                          List of channels used as destination of integration routes.
                          Can contain simple channel names or full Camel URIs.
                        items:
                          type: string
                        type: array
                      channelSources:
                        description: |-
                          List of channels used as source of integration routes.
                          Can contain simple channel names or full Camel URIs.
                        items:
                          type: string
                        type: array
                      config:
                        description: Can be used to inject a Knative complete configuration
                          in JSON format.
                        type: string
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      endpointSinks:
                        description: |-
                          List of endpoints used as destination of integration routes.
                          Can contain simple endpoint names or full Camel URIs.
                        items:
                          type: string
                        type: array
                      endpointSources:
                        description: List of channels used as source of integration
                          routes.
                        items:
                          type: string
                        type: array
                      eventSinks:
                        description: |-
                          List of event types that the integration will produce.
                          Can contain simple event types or full Camel URIs (to use a specific broker).
                        items:
                          type: string
                        type: array
                      eventSources:
                        description: |-
                          List of event types that the integration will be subscribed to.
                          Can contain simple event types or full Camel URIs (to use a specific broker different from "default").
                        items:
                          type: string
                        type: array
                      filterEventType:
                        description: |-
                          Enables the default filtering for the Knative trigger using the event type
                          If this is true, the created Knative trigger uses the event type as a filter on the event stream when no other filter criteria is given. (default: true)
                        type: boolean
                      filterSourceChannels:
                        description: |-
                          Enables filtering on events based on the header "ce-knativehistory". Since this header has been removed in newer versions of
                          Knative, filtering is disabled by default.
                        type: boolean
                      filters:
                        description: |-
                          Sets filter attributes on the event stream (such as event type, source, subject and so on).
                          A list of key-value pairs that represent filter attributes and its values.
                          The syntax is KEY=VALUE, e.g., `source="my.source"`.
                          Filter attributes get set on the Knative trigger that is being created as part of this integration.
                        items:
                          type: string
                        type: array
                      namespaceLabel:
                        description: |-
                          Enables the camel-k-operator to set the "bindings.knative.dev/include=true" label to the namespace
                          As Knative requires this label to perform injection of K_SINK URL into the service.
                          If this is false, the integration pod may start and fail, read the SinkBinding Knative documentation. (default: true)
                        type: boolean
                      sinkBinding:
                        description: |-
                          Allows binding the integration to a sink via a Knative SinkBinding resource.
                          This can be used when the integration targets a single sink.
                          It's enabled by default when the integration targets a single sink
                          (except when the integration is owned by a Knative source).
                        type: boolean
                    type: object
                  knative-service:
                    description: The configuration of Knative Service trait
                    properties:
                      annotations:
                        additionalProperties:
                          type: string
                        description: |-
                          The annotations added to route.
                          This can be used to set knative service specific annotations
                          CLI usage example: -t "knative-service.annotations.'haproxy.router.openshift.io/balance'=true"
                        type: object
                      auto:
                        description: |-
                          Automatically deploy the integration as Knative service when all conditions hold:

                          * Integration is using the Knative profile
                          * All routes are either starting from an HTTP based consumer or a passive consumer (e.g. `direct` is a passive consumer)
                        type: boolean
                      autoscalingMetric:
                        description: |-
                          Configures the Knative autoscaling metric property (e.g. to set `concurrency` based or `cpu` based autoscaling).

                          Refer to the Knative documentation for more information.
                        type: string
                      autoscalingTarget:
                        description: |-
                          Sets the allowed concurrency level or CPU percentage (depending on the autoscaling metric) for each Pod.

                          Refer to the Knative documentation for more information.
                        type: integer
                      class:
                        description: |-
                          Configures the Knative autoscaling class property (e.g. to set `hpa.autoscaling.knative.dev` or `kpa.autoscaling.knative.dev` autoscaling).

                          Refer to the Knative documentation for more information.
                        enum:
                        - kpa.autoscaling.knative.dev
                        - hpa.autoscaling.knative.dev
                        type: string
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      maxScale:
                        description: |-
                          An upper bound for the number of Pods that can be running in parallel for the integration.
                          Knative has its own cap value that depends on the installation.

                          Refer to the Knative documentation for more information.
                        type: integer
                      minScale:
                        description: |-
                          The minimum number of Pods that should be running at any time for the integration. It's **zero** by default, meaning that
                          the integration is scaled down to zero when not used for a configured amount of time.

                          Refer to the Knative documentation for more information.
                        type: integer
                      rolloutDuration:
                        description: |-
                          Enables to gradually shift traffic to the latest Revision and sets the rollout duration.
                          It's disabled by default and must be expressed as a Golang `time.Duration` string representation,
                          rounded to a second precision.
                        type: string
                      timeoutSeconds:
                        description: |-
                          The maximum duration in seconds that the request instance is allowed to respond to a request.
                          This field propagates to the integration pod's terminationGracePeriodSeconds

                          Refer to the Knative documentation for more information.
                        format: int64
                        type: integer
                      visibility:
                        description: |-
                          Setting `cluster-local`, Knative service becomes a private service.
                          Specifically, this option applies the `networking.knative.dev/visibility` label to Knative service.

                          Refer to the Knative documentation for more information.
                        enum:
                        - cluster-local
                        type: string
                    type: object
                  logging:
                    description: The configuration of Logging trait
                    properties:
                      color:
                        description: Colorize the log output
                        type: boolean
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      format:
                        description: Logs message format
                        type: string
                      json:
                        description: Output the logs in JSON
                        type: boolean
                      jsonPrettyPrint:
                        description: Enable "pretty printing" of the JSON logs
                        type: boolean
                      level:
                        description: Adjust the logging level (defaults to `INFO`)
                        enum:
                        - FATAL
                        - WARN
                        - INFO
                        - DEBUG
                        - TRACE
                        type: string
                    type: object
                  master:
                    description: The configuration of Master trait
                    properties:
                      auto:
                        description: Enables automatic configuration of the trait.
                        type: boolean
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      includeDelegateDependencies:
                        description: |-
                          When this flag is active, the operator analyzes the source code to add dependencies required by delegate endpoints.
                          E.g. when using `master:lockname:timer`, then `camel:timer` is automatically added to the set of dependencies.
                          It's enabled by default.
                        type: boolean
                      labelKey:
                        description: Label that will be used to identify all pods
                          contending the lock. Defaults to "camel.apache.org/integration".
                        type: string
                      labelValue:
                        description: Label value that will be used to identify all
                          pods contending the lock. Defaults to the integration name.
                        type: string
                      resourceName:
                        description: |-
                          Name of the configmap that will be used to store the lock. Defaults to "<integration-name>-lock".
                          Name of the configmap/lease resource that will be used to store the lock. Defaults to "<integration-name>-lock".
                        type: string
                      resourceType:
                        description: Type of Kubernetes resource to use for locking
                          ("ConfigMap" or "Lease"). Defaults to "Lease".
                        type: string
                    type: object
                  mount:
                    description: The configuration of Mount trait
                    properties:
                      configs:
                        description: |-
                          A list of configuration pointing to configmap/secret.
                          The configuration are expected to be UTF-8 resources as they are processed by runtime Camel Context and tried to be parsed as property files.
                          They are also made available on the classpath in order to ease their usage directly from the Route.
                          Syntax: [configmap|secret]:name[/key], where name represents the resource name and key optionally represents the resource key to be filtered
                        items:
                          type: string
                        type: array
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      emptyDirs:
                        description: |-
                          A list of EmptyDir volumes to be mounted. An optional size limit may be configured (default 500Mi).
                          Syntax: name:/container/path[:sizeLimit]
                        items:
                          type: string
                        type: array
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      hotReload:
                        description: |-
                          Enable "hot reload" when a secret/configmap mounted is edited (default `false`). The configmap/secret must be
                          marked with `camel.apache.org/integration` label to be taken in account. The resource will be watched for any kind change, also for
                          changes in metadata.
                        type: boolean
                      resources:
                        description: |-
                          A list of resources (text or binary content) pointing to configmap/secret.
                          The resources are expected to be any resource type (text or binary content).
                          The destination path can be either a default location or any path specified by the user.
                          Syntax: [configmap|secret]:name[/key][@path], where name represents the resource name, key optionally represents the resource key to be filtered and path represents the destination path
                        items:
                          type: string
                        type: array
                      scanKameletsImplicitLabelSecrets:
                        description: 'Deprecated: no longer available since version
                          2.5.'
                        type: boolean
                      volumes:
                        description: |-
                          A list of Persistent Volume Claims to be mounted. Syntax: [pvcname:/container/path]. If the PVC is not found, the Integration fails.
                          You can use the syntax [pvcname:/container/path:size:accessMode<:storageClass>] to create a dynamic PVC based on the Storage Class provided
                          or the default cluster Storage Class. However, if the PVC exists, the operator would mount it.
                        items:
                          type: string
                        type: array
                    type: object
                  openapi:
                    description: The configuration of OpenAPI trait
                    properties:
                      configmaps:
                        description: The configmaps holding the spec of the OpenAPI
                          (compatible with > 3.0 spec only).
                        items:
                          type: string
                        type: array
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                    type: object
                  owner:
                    description: The configuration of Owner trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      targetAnnotations:
                        description: The set of annotations to be transferred
                        items:
                          type: string
                        type: array
                      targetLabels:
                        description: The set of labels to be transferred
                        items:
                          type: string
                        type: array
                    type: object
                  pdb:
                    description: The configuration of PDB trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      maxUnavailable:
                        description: |-
                          The number of pods for the Integration that can be unavailable after an eviction.
                          It can be either an absolute number or a percentage (default `1` if `min-available` is also not set).
                          Only one of `max-unavailable` and `min-available` can be specified.
                        type: string
                      minAvailable:
                        description: |-
                          The number of pods for the Integration that must still be available after an eviction.
                          It can be either an absolute number or a percentage.
                          Only one of `min-available` and `max-unavailable` can be specified.
                        type: string
                    type: object
                  platform:
                    description: The configuration of Platform trait
                    properties:
                      auto:
                        description: |-
                          To automatically detect from the environment if a default platform can be created (it will be created on OpenShift or when a registry address is set).
                          Deprecated: Platform is auto generated by the operator install procedure - maintained for backward compatibility
                        type: boolean
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      createDefault:
                        description: |-
                          To create a default (empty) platform when the platform is missing.
                          Deprecated: Platform is auto generated by the operator install procedure - maintained for backward compatibility
                        type: boolean
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      global:
                        description: |-
                          Indicates if the platform should be created globally in the case of global operator (default true).
                          Deprecated: Platform is auto generated by the operator install procedure - maintained for backward compatibility
                        type: boolean
                    type: object
                  pod:
                    description: The configuration of Pod trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                    type: object
                  prometheus:
                    description: The configuration of Prometheus trait
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      podMonitor:
                        description: Whether a `PodMonitor` resource is created (default
                          `true`).
                        type: boolean
                      podMonitorLabels:
                        description: The `PodMonitor` resource labels, applicable
                          when `pod-monitor` is `true`.
                        items:
                          type: string
                        type: array
                    type: object
                  pull-secret:
                    description: The configuration of Pull Secret trait
                    properties:
                      auto:
                        description: Automatically configures the platform registry
                          secret on the pod if it is of type `kubernetes.io/dockerconfigjson`.
                        type: boolean
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                      imagePullerDelegation:
                        description: When using a global operator with a shared platform,
                          this enables delegation of the `system:image-puller` cluster
                          role on the operator namespace to the integration service
                          account.
                        type: boolean
                      secretName:
                        description: The pull secret name to set on the Pod. If left
                          empty this is automatically taken from the `IntegrationPlatform`
                          registry configuration.
                        type: string
                    type: object
                  quarkus:
                    description: The configuration of Quarkus trait
                    properties:
                      buildMode:
                        description: |-
                          The Quarkus mode to run: either `jvm` or `native` (default `jvm`).
                          In case both `jvm` and `native` are specified, two `IntegrationKit` resources are created,
                          with the `native` kit having precedence over the `jvm` one once ready.
                        items:
                          description: QuarkusMode is the type of Quarkus build packaging.
                          enum:
                          - jvm
                          - native
                          type: string
                        type: array
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: 'Deprecated: no longer in use.'
                        type: boolean
                      nativeBaseImage:
                        description: The base image to use when running a native build
                          (default `quay.io/quarkus/quarkus-micro-image:2.0`)
                        type: string
                      nativeBuilderImage:
                        description: The image containing the tooling required for
                          a native build (by default it will use the one provided
                          in the runtime catalog)
                        type: string
                      packageTypes:
                        description: |-
                          The Quarkus package types, `fast-jar` or `native` (default `fast-jar`).
                          In case both `fast-jar` and `native` are specified, two `IntegrationKit` resources are created,
                          with the native kit having precedence over the `fast-jar` one once ready.
                          The order influences the resolution of the current kit for the integration.
                          The kit corresponding to the first package type will be assigned to the
                          integration in case no existing kit that matches the integration exists.
                          Deprecated: use `build-mode` instead.
                        items:
                          description: |-
                            QuarkusPackageType is the type of Quarkus build packaging.
                            Deprecated: use `QuarkusMode` instead.
                          enum:
                          - fast-jar
                          - native
                          type: string
                        type: array
                    type: object
                  registry:
                    description: |-
                      The configuration of Registry trait (support removed since version 2.5.0).
                      Deprecated: use jvm trait or read documentation.
                    properties:
                      configuration:
                        description: |-
                          Legacy trait configuration parameters.
                          Deprecated: for backward compatibility.
                        type: object
                        x-kubernetes-preserve-unknown-fields: true
                      enabled:
                        description: Can be used to enable or disable a trait. All
                          traits share this common property.
                        type: boolean
                    type: object
                  route:
                    description: The configuration of Route trait
                    properties:
                      annotations:
                        additionalProperties:
                          type: string
                        description: |-
                          The annotations added to route.
                          This can be used to set route specific annotations
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



